# TypeRef

abstract class TypeRef < T : Any >

Type reference class for getting generic parameter T type.

The purpose of this class is to retain erased generics at runtime.

#### See also

typeRef

## Constructors

TypeRef
Link copied to clipboard
constructor()

## Properties

rawType
Link copied to clipboard
val rawType : Class < T >

Get the raw class type of the generic parameter T.

type
Link copied to clipboard
val type : Type

Get the generic parameter T type.

## Functions

equals
Link copied to clipboard
open operator override fun equals (other: Any ?): Boolean
hashCode
Link copied to clipboard
open override fun hashCode (): Int
toString
Link copied to clipboard
open override fun toString (): String